curl
curl -X GET "https://sandbox-api.sannos.ai/v1/business-entities" \
-H "X-API-Key: $EVE_COMPANY_KEY"const res = await fetch("https://sandbox-api.sannos.ai/v1/business-entities", {
method: "GET",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY },
});
const data = await res.json();import os, requests
res = requests.get(
"https://sandbox-api.sannos.ai/v1/business-entities",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/business-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/business-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.sannos.ai/v1/business-entities")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/business-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"businessEntities": [
{
"companyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>"
}
]
}Business Entities
List all business entities created by this partner.
deprecated
List all business entities created by this partner.
Business entities are organizational units within companies that are used to scope compliance reviews.
Response includes:
id- Business entity unique identifiername- Display namecompanyId- Parent company IDcreatedAt- Creation timestamp
GET
/
v1
/
business-entities
curl
curl -X GET "https://sandbox-api.sannos.ai/v1/business-entities" \
-H "X-API-Key: $EVE_COMPANY_KEY"const res = await fetch("https://sandbox-api.sannos.ai/v1/business-entities", {
method: "GET",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY },
});
const data = await res.json();import os, requests
res = requests.get(
"https://sandbox-api.sannos.ai/v1/business-entities",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/business-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/business-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.sannos.ai/v1/business-entities")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/business-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"businessEntities": [
{
"companyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>"
}
]
}